Commit e127a288 authored by Marc Fournier's avatar Marc Fournier
Browse files

postfix::hash - elsif is incomaptible with pre-2.x puppet.

parent eec3c07d
......@@ -57,16 +57,18 @@ define postfix::hash ($ensure='present', $source=false, $content=false) {
source => $source,
require => Package['postfix'],
}
} elsif $content != false {
file {$name:
ensure => $ensure,
content => $content,
require => Package['postfix'],
}
} else {
file {$name:
ensure => $ensure,
require => Package['postfix'],
if $content != false {
file {$name:
ensure => $ensure,
content => $content,
require => Package['postfix'],
}
} else {
file {$name:
ensure => $ensure,
require => Package['postfix'],
}
}
}
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment